import { V as a, d as m, f, u as y, r as u, c as b, o as h, w as _, j as v, l as O, X as N, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as P } from "./BasicForm-dL_oCSPM.js";
import { j as g } from "./template-rpthWlT9.js";
import { u as q } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./usePageCache-DluHn7Yy.js";
let U;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    await g();
    const { t } = a();
    function x(e) {
        return {
            schemas: [
                {
                    field: "reportNo",
                    component: "NInput",
                    label: t("hsqe.deficiency.masterOrHeadOfDept"),
                    componentProps: {
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "expirationTime",
                    component: "NDatePicker",
                    label: t("hsqe.deficiency.date"),
                    componentProps: {
                        valueFormat: "yyyy-MM-dd",
                        type: "date",
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "verifiedClosedON",
                    component: "NSelect",
                    label: t("hsqe.auditInspection.vesselInspection.shipVisitReport.deficiencyReport.action.verifiedClosedON"),
                    componentProps: {
                        options: [
                            {
                                label: "YES",
                                value: "YES"
                            },
                            {
                                label: "NO",
                                value: "NO"
                            }
                        ],
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "verifiedBy",
                    component: "NInput",
                    label: t("hsqe.deficiency.verifiedBy"),
                    componentProps: {
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "verifyDate",
                    component: "NDatePicker",
                    label: t("hsqe.deficiency.verifyDate"),
                    componentProps: {
                        valueFormat: "yyyy-MM-dd",
                        type: "date",
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "verification",
                    component: "NInput",
                    label: t("hsqe.deficiency.verification"),
                    componentProps: {
                        type: "textarea",
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "dpa",
                    component: "NInput",
                    label: t("hsqe.deficiency.dpa"),
                    componentProps: {
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "date",
                    component: "NDatePicker",
                    label: t("hsqe.deficiency.date"),
                    componentProps: {
                        valueFormat: "yyyy-MM-dd",
                        type: "date",
                        disabled: e?.readOnly
                    }
                }
            ]
        };
    }
    U = m({
        __name: "index",
        setup (e, { expose: o }) {
            const { t: B } = a();
            f(), y();
            const i = u([]), [s, { setFieldsValue: F, getFieldsValue: r }] = q({
                schemas: i,
                labelWidth: "auto",
                layout: "horizontal",
                gridProps: {
                    cols: 3,
                    xGap: 15
                },
                showActionButtonGroup: !1
            }), c = x({
                readOnly: !0
            });
            i.value = c.schemas;
            async function l() {
                const n = r();
                console.log(n);
            }
            return o({
                submit: l
            }), (n, D)=>{
                const d = P, p = N;
                return h(), b(p, null, {
                    default: _(()=>[
                            v(d, {
                                class: "mt-3",
                                onRegister: O(s)
                            }, null, 8, [
                                "onRegister"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { U as default, __tla };
